{*?template charset=utf-8?*}
{* Weblog - Full view *}

{let sort_order=$node.parent.sort_array[0][1]
     sort_column=$node.parent.sort_array[0][0]
     sort_column_value=cond( $sort_column|eq( 'published' ), $node.object.published,
                             $sort_column|eq( 'modified' ), $node.object.modified,
                             $sort_column|eq( 'name' ), $node.object.name,
                             $sort_column|eq( 'priority' ), $node.priority,
                             $sort_column|eq( 'modified_subnode' ), $node.modified_subnode,
                             false() )
     previous_log=fetch( 'content', 'list', hash( parent_node_id, $node.parent_node_id,
                                              class_filter_type, include,
                                              class_filter_array, array( 'weblog' ),
                                              limit, 1,
                                              attribute_filter, array( and, array( $sort_column, $sort_order|choose( '>', '<' ), $sort_column_value ) ),
                                              sort_by, array( $sort_column, $sort_order|not ) ) )
     next_log=fetch( 'content', 'list', hash( parent_node_id, $node.parent_node_id,
                                          class_filter_type, include,
                                          class_filter_array, array( 'weblog' ),
                                          limit, 1,
                                          attribute_filter, array( and, array( $sort_column, $sort_order|choose( '<', '>' ), $sort_column_value ) ),
                                          sort_by, array( $sort_column, $sort_order ) ) )}
<div class="content-view-full">
    <div class="class-weblog">
<table cellpadding="5">
<tr><td width="30" bgcolor="#d0d0d0" align="center"><strong>{$node.object.published|l10n(date)}</strong></td>
<td>&nbsp;</td>
                 <td><h1>{$node.name|wash()}</h1>
                       <div class="attribute-byline">
                       {let weblogs=$node.parent}
                       <a href={$weblogs.url_alias|ezurl}>{$weblogs.name|wash}</a>
                       {/let}</td></tr>
</table>
           
           <div class="break"></div>
        </div>

        {section show=is_unset( $versionview_mode )}
        <div class="content-navigator">
            {section show=$previous_log}
                <div class="content-navigator-previous">
                    <div class="content-navigator-arrow">&laquo;&nbsp;</div><a href={$previous_log[0].url_alias|ezurl} title="{$previous_log[0].name|wash}">novější poznámka</a>
                </div>
            {section-else}
                <div class="content-navigator-previous-disabled">
                    <div class="content-navigator-arrow">&laquo;&nbsp;</div>starší poznámka
                </div>
            {/section}

                <div class="content-navigator-separator">|</div>

            {section show=$next_log}
                <div class="content-navigator-next">
                    <a href={$next_log[0].url_alias|ezurl} title="{$next_log[0].name|wash}">následující poznámka</a><div class="content-navigator-arrow">&nbsp;&raquo;</div>
                </div>
            {section-else}
                <div class="content-navigator-next-disabled">
                   následující poznámka<div class="content-navigator-arrow">&nbsp;&raquo;</div>
                </div>
            {/section}
        </div>
        {/section}


        <div class="attribute-message">
           {attribute_view_gui attribute=$node.object.data_map.message}
        </div>
        <div class="attribute-message">
{*<label>url:</label>*}
{if $node.object.data_map.url.has_content}
        <div class="attribute-message">
           <span style="font-size: 0.8em;font-weight:bold;">URL:</span> {attribute_view_gui attribute=$node.object.data_map.url}
        </div>
{/if}
{if $node.object.data_map.url2.has_content}
        <div class="attribute-message">
           <span style="font-size: 0.8em;font-weight:bold;">URL:</span> {attribute_view_gui attribute=$node.object.data_map.url2}
        </div>
{/if}
{if $node.object.data_map.url3.has_content}
        <div class="attribute-message">
           <span style="font-size: 0.8em;font-weight:bold;">URL:</span> {attribute_view_gui attribute=$node.object.data_map.url3}
        </div>
{/if}
        </div>
<br />
        <div class="attribute-message">
{*<label>obrázky:</label>*}
{if $node.object.data_map.image1.has_content}
{attribute_view_gui attribute=$node.object.data_map.image1 image_class=large}
<br /><br />
{/if}
{if $node.object.data_map.image2.has_content}
{attribute_view_gui attribute=$node.object.data_map.image2 image_class=large}
<br /><br />
{/if}
{if $node.object.data_map.image3.has_content}
{attribute_view_gui attribute=$node.object.data_map.image3 image_class=large}
{/if}        
</div><br />
        <div class="attribute-message">
{*<label>média:</label>*}
{if $node.object.data_map.video1.has_content}
{attribute_view_gui attribute=$node.object.data_map.video1}
{/if}
{if $node.object.data_map.video2.has_content}
{attribute_view_gui attribute=$node.object.data_map.video2}
{/if}
        </div>
<br />
        <div class="attribute-message">
<label>klíčová slova:</label>
           {attribute_view_gui attribute=$node.object.data_map.keywords}
        </div>

<br /><br />
<label>komentáře:</label>

            <div class="content-view-children">
               {section var=comment loop=fetch( 'content', 'list',
        hash( 'parent_node_id',     $node.node_id,
 'sort_by', array( 'published', true() ), 
              'class_filter_type',  'include',
              'class_filter_array', array( 'weblog' ) ) )}
                   {node_view_gui view='line' content_node=$comment}
               {/section}
            </div>

<div class="buttonblock">
<form method="post" action={"content/action"|ezurl}>
<input type="hidden" name="ContentNodeID" value="{$node.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$node.object.id}" />
<input type="hidden" name="ViewMode" value="full" />


            {section show=fetch( content, access, hash( access, 'create',
                                                        contentobject, $node,
                                                        contentclass_id, 'weblog',
                                                        parent_contentclass_id, $node.object.class_identifier ) )}
 
                   <input type="hidden" name="ClassIdentifier" value="weblog" />
                   <input type="hidden" name="NodeID" value="{$node.node_id}" />
                   <input class="button new_comment" type="submit" name="NewButton" value="přidat komentář" />
            {section-else}

            {/section}

   {switch match=$node.object.can_edit}
   {case match=1}
   <input class="button" type="submit" name="EditButton" value="upravit" />
   <input class="button" type="submit" name="ActionRemove" value="smazat" />
   {/case}
   {case match=0}
   {/case}
   {/switch}
</form>
</div>


   </div>
</div>

{/let}